::  *******************************************************************
::  ***  SETOPT.BAT sub-routine for MCP.BAT                         ***
::  ***  (c) 1998-05-15 by Klaus Peichl                             ***
::  ***  Syntax: SETOPT <LCD-Text> <EnvVariable> <Default>          ***
::  ***  This batch program lets the user set an environment        ***
::  ***  variable either to ON or OFF or the default value          ***
::  ***  The changes will apply only after calling OPTIONS.BAT      ***
::  *******************************************************************

BEEP 2000  > NUL
%LCD% /M /Add0 %1 > NUL
BEEP 0 > NUL
SET !=%3
IF %3==ON  GOTO IsOn
IF %3==OFF GOTO IsOff

:IsUnknown
 %LCD% /Add64 /F Opt_new.lcd > NUL
 GOTO GetItem
:IsOff
 %LCD% /Add64 /F Opt_off.lcd > NUL
 GOTO GetItem
:IsOn
 %LCD% /Add64 /F Opt_on.lcd > NUL

:GetItem
 GetPort /K /R0-0  > NUL
 GetPort /K /R1-31 > NUL
 IF ErrorLevel 16 GOTO End
 IF ErrorLevel  8 GOTO SwitchOff
 IF ErrorLevel  4 GOTO SwitchOn
 IF ErrorLevel  2 GOTO GetItem
 IF ErrorLevel  1 GOTO SetItem

:SwitchOff
 SET !=OFF
 GOTO SetItem

:SwitchOn
 SET !=ON

:SetItem
 ECHO SET %2=%!% >> %WorkPath%OPTIONS.BAT
 SET !=

:End