; Beep Tongenerator
; (C) 22.05.1998 by Klaus Peichl, stliche Ringstr. 7, 85113 Bhmfeld
;
; Aufruf:   BEEP <Frequenz>
;
; -  Kommandozeilenparameter lesen:
;    in DS:[80h] (also im PSP) steht die Lnge des Parameterstrings
;    der String selbst direkt dahinter (mit Leerzeichen)
;

                .MODEL tiny
                .Code
                ORG 100h
                Start:

                mov dx,Offset Header_String
                mov ah,9
                int 21h

; Parameter-Auswertung:
                mov si,81h
                mov cx,10
                xor ax,ax               ; mov ax,0
                xor bx,bx               ; mov bx,0

Hole_Zeichen:   mov bl,[si]
                inc si
                cmp bl,'0'
                jb keine_Ziffer
                cmp bl,'9'
                ja keine_Ziffer
                sub bl,48               ; ASCII -> Byte-Wert
                mul cx                  ; ax mu 10-fach gewichtet werden
                add ax,bx
                jmp Hole_Zeichen

keine_Ziffer:   cmp ax,0
                ja Stringende
                cmp bl,13
                je StringEnde
                cmp bl,' '
                je Hole_Zeichen

Syntaxfehler:   mov dx,Offset Syntax_String1
                mov ah,9
                int 21h
                jmp Programm_beenden

Stringende:     mov di,ax               ; di=Frequenz
                cmp di,18
                ja Ton_ein

                in al,61h
                and al,252              ; Lautsprecher aus
                out 61h,al
                jmp Programm_beenden

Ton_ein:        mov al,182
                out 43h,al              ; Timer-Baustein
                mov dx,0012h
                mov ax,34DCh            ; DXAX = 1193180 Hz
                div di
                out 42h,al              ; Teiler Low
                mov al,ah
                out 42h,al              ; Teiler High
                in al,61h
                or al,3                 ; Lautsprecher ein
                out 61h,al

Programm_beenden:
                mov ax,4c00h
                int 21h

Header_String   DB 'BEEP (c) 21.05.1998 by Klaus Peichl',10,13,'$'
Syntax_String1  DB 'Syntax: BEEP <Frequenz>',10,13
                DB '        BEEP 0  schaltet den Ton ab. Schnell.',10,13,'$'

               END Start
